Skip to main content
GET
/
v1
/
smart-account
/
accounts
/
list
List Accounts
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-account/accounts/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "47900010-7a2f-487e-9d38-3fd790fc13dc",
      "name": "OX App",
      "type": "SETTLEMENT",
      "state": "LIVE",
      "environment": "mainnet",
      "evmDetails": {
        "address": "0x1234567890123456789012345678901234567890",
        "refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
      },
      "solanaDetails": {
        "address": "0x1234567890123456789012345678901234567890",
        "refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
      },
      "enableAPIWithdrawal": true,
      "enableDashboardWithdrawal": true,
      "workspaceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "createdAt": "2025-04-02T17:20:42.160Z",
      "updatedAt": "2025-04-02T17:20:42.160Z",
      "owners": {}
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string

Filter by account name

Example:

"Sandbox Account"

isActive
boolean

Filter by account state

Example:

true

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required